"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var react_native_1 = require("react-native");
var _RNAudioDevice = react_native_1.NativeModules.RNAudioDevice;
var DeviceInfoEventEmitter = new react_native_1.NativeEventEmitter(_RNAudioDevice);
var _subscriptions = new Map();
var RNAudioDevice = /** @class */ (function () {
    function RNAudioDevice() {
    }
    RNAudioDevice.prototype.addEventListener = function (eventName, handler) {
        var listener = DeviceInfoEventEmitter.addListener(eventName, function (appStateData) {
            handler({
                data: appStateData,
            });
        });
        _subscriptions.set(handler, listener);
    };
    /**
     * Removes the listener for network status changes.
     */
    RNAudioDevice.prototype.removeEventListener = function (eventName, handler) {
        var listener = _subscriptions.get(handler);
        if (!listener) {
            return;
        }
        listener.remove();
        _subscriptions.delete(handler);
    };
    // Start device management thread
    RNAudioDevice.prototype.start = function () {
        _RNAudioDevice.start();
    };
    // Stop device management thread
    RNAudioDevice.prototype.stop = function () {
        _RNAudioDevice.stop();
    };
    // StartRecognize for audio.
    RNAudioDevice.prototype.startRecognize = function (isRecordable) {
        _RNAudioDevice.startRecognize(isRecordable);
    };
    // StopRecognize for audio.
    RNAudioDevice.prototype.stopRecognize = function () {
        _RNAudioDevice.stopRecognize();
    };
    return RNAudioDevice;
}());
exports.default = new RNAudioDevice();
